using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] str = Console.ReadLine().Split(' ');
                a[i] = int.Parse(str[0]);
                p[i] = double.Parse(str[1]);
            }
            Array.Sort(p, a);
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                double sum = 0;
                for (int j = i; j < n; j++)
                {
                    sum += p[i] * a[j] / 100;
                }
                if (sum > max)
                    max = sum;
                if (i < n - 1 && p[i] == p[i + 1])
                    i++;
            }
            Console.WriteLine(max);
        }
    }
}